Summary:	Free source code editing component for GTK+ and Win32
Summary(pl.UTF-8):	Wolnodostępna kontrolka edycyjna dla GTK+ i Win32
Name:		scintilla
Version:	3.10.3
%define	fver	%(echo %{version} | tr -d .)
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://downloads.sourceforge.net/scintilla/%{name}%{fver}.tgz
# Source0-md5:	83db473eee8673970540197c9121c4f6
Patch0:		%{name}-make.patch
URL:		http://scintilla.org/
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	libstdc++-devel >= 6:4.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scintilla is a free source code editing component. It comes with
complete source code and a license that permits use in any free
project or commercial product. As well as features found in standard
text editing components, Scintilla includes features especially useful
when editing and debugging source code. These include support for
syntax styling, error indicators, code completion and call tips. The
selection margin can contain markers like those used in debuggers to
indicate breakpoints and the current line. Styling choices are more
open than with many editors, allowing the use of proportional fonts,
bold and italics, multiple foreground and background colours and
multiple fonts.

%description -l pl.UTF-8
Scintilla to wolnodostępna kontrolka do edycji kodu. Przychodzi z
pełnym kodem źródłowym i licencja pozwalającą na używanie w dowolnym
projekcie darmowym lub komercyjnym. Oprócz możliwości obecnych w
standardowych kontrolkach do edycji tekstu, Scintilla ma dodatkowe,
przydatne szczególnie przy edycji i szukaniu błędów w kodzie
źródłowym. Możliwości te obejmują obsługę stylu składni, podświetlanie
błędów, dopełnianie kodu i podpowiedzi. Marginesy mogą zawierać
znaczniki podobne do tych używanych do oznaczenia breakpointów lub
bieżącej linii w debuggerach. Wybór stylu jest bardziej otwarty niż w
wielu edytorach, pozwalając na użycie fontów proporcjonalnych,
pogrubionych i pochylonych, wielu kolorów pisma i tła oraz wielu
fontów.

%package devel
Summary:	scintilla header files
Summary(pl.UTF-8):	Pliki nagłówkowe scintilli
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+3-devel >= 3.0
Requires:	libstdc++-devel >= 6:4.8

%description devel
scintilla header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe scintilli.

%package static
Summary:	Static scintilla library
Summary(pl.UTF-8):	Statyczna biblioteka scintilla
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static scintilla library.

%description static -l pl.UTF-8
Statyczna biblioteka scintilla.

%prep
%setup -q -n %{name}%{fver}
%patch0 -p1

%build
%{__make} -C gtk \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	GTK3=1 \
	OPTFLAGS="%{rpmcflags}" \
	libdir="%{_libdir}" \
	%{?debug:DEBUG=1}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}

%{__make} -C gtk install \
	libdir="%{_libdir}" \
	DESTDIR=$RPM_BUILD_ROOT

install include/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc License.txt doc/*
%attr(755,root,root) %{_libdir}/libscintilla.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libscintilla.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libscintilla.so
%{_libdir}/libscintilla.la
%{_includedir}/scintilla

%files static
%defattr(644,root,root,755)
%{_libdir}/libscintilla.a
%changelog
* Wed Apr 10 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/scintilla.git;a=log;h=master

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 89041e3
- updated to 3.10.3 (latest from LongTerm3 branch, sticked to C++11)
- updated make patch

* Mon Mar 25 2019 Jan Rękorajski <baggins@pld-linux.org> a1253b9
- release 4 (by relup.sh)

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> a06465b
- release 3 (by relup.sh)

* Sat Dec 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> acbf631
- libffi rebuild
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jakub Bogusz <qboosh@pld-linux.org> d048e74
- updated to 3.5.1
- updated make patch, switched to GTK+ 3.x, soname changed to libscintilla.so.3

* Fri Nov 14 2014 Jakub Bogusz <qboosh@pld-linux.org> d72e0b5
- updated to 2.29 (the last 2.x version)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 8b8b962
- release 7 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c424cd0
- release 6 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 59b70a1
- rebuild with expat 2.1.0
- release 5 (by relup.sh)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 10511c9
- release 4

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> f83f346
- release 3 (rebuild against libpng-1.5)

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> deafa6c
- release 2

* Thu Jun 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 225e145
- updated to 2.27
- updated make patch

* Sun May 16 2010 arvenil <arvenil@pld-linux.org> fb67628
- up to 2.11

* Fri Oct 23 2009 Paweł Sikora <pluto@pld-linux.org> 70a49ae
- updated to 2.01.

* Fri Oct 23 2009 Paweł Sikora <pluto@pld-linux.org> 8c88a6b
- updated.

* Tue Apr 01 2008 Jakub Bogusz <qboosh@pld-linux.org> c77c59b
- ghost soname symlink

* Sun Mar 30 2008 shadzik <shadzik@pld-linux.org> ff68133
- 1.76

* Sun Mar 30 2008 shadzik <shadzik@pld-linux.org> d9aa4a5
- updated for 1.76

* Wed Feb 21 2007 Karol Krenski <charles@pld-linux.org> e57a413
- updated for 1.72

